<%
   String connStr=request.getParameter("connStr");
   if (connStr==null) {
     connStr=(String)session.getValue("connStr");
   } else {
     session.putValue("connStr",connStr);
   }
   if (connStr==null) { %>
<jsp:forward page="../setconn.jsp" />
<%
   }
%>
<%@ taglib uri="/WEB-INF/sqltaglib.tld" prefix="jml" %>
   <HTML> 
       <HEAD> 
           <TITLE>A simple tagLib with XML output</TITLE> 
       </HEAD>
       <BODY BGCOLOR="#FFFFFF"> 
            <HR>
            <jml:dbOpen URL="<%= connStr %>"  user="scott" password="tiger">
            <jml:dbQuery output="xml">
              select ENAME from EMP,DEPT 
              where DEPT.DNAME = 'RESEARCH'
              and DEPT.DEPTNO = EMP.DEPTNO
            </jml:dbQuery>
            </jml:dbOpen>
            <HR> 
       </BODY> 
  </HTML> 

